# Class MarketPricesRequest

#### Hierarchy

- unknown
  - MarketPricesRequest

- Defined in src/protobuf/grpc_pb.d.ts:2178
- Defined in src/protobuf/grpc_pb.d.ts:2187

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketPricesRequest(): MarketPricesRequest

- #### Returns MarketPricesRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2179

### toObject

- toObject(includeInstance?: boolean): MarketPricesRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketPricesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2180

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPricesRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPricesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2183

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPricesRequest, reader: BinaryReader): MarketPricesRequest

- #### Parameters

  - ##### message: MarketPricesRequest

  - ##### reader: BinaryReader

  #### Returns MarketPricesRequest

  - Defined in src/protobuf/grpc_pb.d.ts:2184

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPricesRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketPricesRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2182

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketPricesRequest): MarketPricesRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPricesRequest

  #### Returns MarketPricesRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2181

Generated using TypeDoc